@import"reset";

body {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-family: 'Roboto', sans-serif;
  font-size: 14px;
  color: #4E4E4E;
}

html,
body {
  height: 100%;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  padding: 0;
  margin: 0;
}

.container {
  max-width: 1200px;
  min-width: 320px;
  padding: 0 1.1vw;
  margin: 0 auto;
  box-sizing: border-box;

}

.header {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;

  .header-menu {
    width: 100%;
    height: 55px;
    margin: 29px 0 34px;

    @media (max-width: 768px) {
      display: flex;
      justify-content: flex-end;
      height: 37px;
      margin: 23px 0;

      .menu__btn {
        width: 44px;
        height: 100%;
        background: #000000;
        position: relative;
        z-index: 2;
        overflow: hidden;
        cursor: pointer;

        span {
          width: 17px;
          height: 2px;
          position: absolute;
          top: 50%;
          left: 50%;
          transform: translate(-50%, -50%);
          background-color: #ffffff;
          transition: all 0.5s;
        }

        span:nth-of-type(2) {
          top: calc(50% - 4px);
        }

        span:nth-of-type(3) {
          top: calc(50% + 4px);
        }

        &.active span:nth-of-type(1) {
          display: none;
        }

        &.active span:nth-of-type(2) {
          top: 50%;
          transform: translate(-50%, 0%) rotate(45deg);
        }

        &.active span:nth-of-type(3) {
          top: 50%;
          transform: translate(-50%, 0%) rotate(-45deg);
        }
      }
    }

    .menu {
      height: 100%;
      display: flex;
      flex-direction: row;
      justify-content: center;
      align-items: center;

      .menu-list {
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;
        width: 100%;
        margin: 0;
        padding: 0;
        list-style: none;

        & a.menu-link {
          margin: 0 2.13vw;
          font-size: 11px;
          line-height: 2;
          letter-spacing: 1.1px;
          text-transform: uppercase;
          color: #4E4E4E;

          &:hover {
            color: #57A4A4;
            transition: color 0.4s ease;
          }
        }
      }

      @media (max-width: 768px) {
        position: fixed;
        top: 60px;
        right: -500px;
        width: 182px;
        height: 203px;
        justify-content: flex-start;
        background: #F5F5F5;
        transform: translateX(0);
        transition: transform 0.5s;

        &.active {
          transform: translateX(calc(1.1vw - 1.1vw * 2 - 499px));

          .menu-list {
            display: flex;
            flex-direction: column;
            align-items: flex-start;
            margin: 0;
            padding-left: 13px;

            .menu-item {
              width: 100%;
              height: 29px;
              display: flex;
              align-items: center;

              &:hover {
                background: #E5E5E5;
              }

              .menu-link {

                &:active {
                  color: #57A4A4;
                  transition: color 0.4s ease;
                }
              }
            }
          }
        }
      }
    }
  }

  .header__hero {
    width: 100%;
    max-width: 1170px;

    .header__hero--img {
      width: 100%;
      display: block;
    }
  }
}

.section-title {
  font-weight: 700;
  font-size: 16px;
  line-height: 1.38;
  text-transform: uppercase;


  @media (max-width: 768px) {
    font-size: 14px;
    line-height: 1.57;
  }
}

.section-recent-posts {
  padding: 70px 0;
  background: rgba(0, 0, 0, 0.001);

  @media (max-width: 768px) {
    padding: 60px 0;
  }

  @media (max-width: 450px) {
    padding: 42px 0;
  }

  .recent-posts-title {
    margin-bottom: 24px;
  }

  .recent-posts-items--wrapper {
    display: grid;
    grid-template: 1fr 1fr / 1fr 1fr;
    gap: 32px 55px;

    @media (max-width: 1200px) {
      grid-template-columns: 1fr;
    }

    .recent-posts-item--wrapper {
      max-width: 555px;
      display: flex;
      justify-content: space-between;
      gap: 19px;

      @media (max-width: 768px) {
        display: flex;
        flex-direction: column;
        gap: 11px;
        max-height: 230px;
      }

      .recent-posts-img--wrapper {
        min-width: 160px;
        height: 140px;
        overflow: hidden;

        & img {
          height: 100%;
          display: block;
        }
      }

      .recent-posts-item--text-content {
        display: flex;
        flex-direction: column;

        .recent-posts-item--title {
          margin-bottom: 8px;
          font-weight: 700;
          font-size: 16px;
          line-height: 1.88;
          color: #4E4E4E;

          @media (max-width: 768px) {
            margin: 0;
            font-size: 14px;
            line-height: 2.14;
          }
        }

        .recent-posts-item--comment {
          margin-bottom: 13px;
          font-size: 12px;
          line-height: 1.67;
          color: #C7C7CC;

          @media (max-width: 768px) {
            margin: 0;
            font-size: 11px;
            line-height: 1.82;
          }
        }

        .recent-posts-item--descr {
          line-height: 1.86;
          color: #B9B9B9;

          @media (max-width: 768px) {
            display: none;
          }
        }
      }
    }
  }
}

.section__instagram-shots {
  padding: 48px 0 49px;
  background: rgba(0, 0, 0, 0.03);

  @media (max-width: 450px) {
    padding: 38px 0 42px;
  }

  .instagram-shots__titles--wrapper {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 24px;

    @media (max-width: 768px) {
      margin-bottom: 24px;
    }

    @media (max-width: 450px) {
      margin-bottom: 13px;
    }

    & a.instagram-shots__link {
      font-weight: 700;
      font-size: 13px;
      line-height: 1.69;
      text-transform: uppercase;
      text-decoration: none;
      color: #4E4E4E;

      @media (max-width: 767px) {
        display: none;
      }
    }
  }

  .instagram-shots__items--wrapper {
    width: 100%;
    margin: 0 -5px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;

    .instagram-shots__img--wrapper {
      margin: 0 5px;
      min-width: 285px;
      height: 285px;
      overflow: hidden;

      & img {
        height: 100%;
        display: block;
      }
    }

    @media (max-width: 1199px) {
      .instagram-shots__img--wrapper {
        min-width: 249px;
        height: 249px;
      }

      .instagram-shots__img--wrapper:last-child {
        display: none;
      }
    }

    @media (max-width: 768px) {
      justify-content: flex-start;

      .instagram-shots__img--wrapper {
        min-width: 301px;
        height: 301px;
      }

      .instagram-shots__img--wrapper:nth-child(2),
      .instagram-shots__img--wrapper:nth-child(3) {
        display: none;
      }
    }
  }
}

.footer {
  padding: 65px 0 70px;
  text-align: center;
  background-color: #000;

  @media (max-width: 768px) {
    padding: 57px 0;
  }


  .footer__content {
    max-width: 684px;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    color: #FEFEFE;

    @media (max-width: 768px) {
      max-width: 86vw;
    }


    .footer__title {
      color: #B9B9B9;
      margin-bottom: 22px;
    }


    .footer__text {
      font-size: 16px;
      line-height: 1.75;

      @media (max-width: 768px) {
        font-size: 12px;
        line-height: 1.67;
      }
    }


    .footer__icons-wrapper {
      margin: 37px 0 34px;
      display: flex;
      gap: 5.5px;

      @media (max-width: 768px) {
        margin: 26px 0;
      }


      .footer__icon-wrapper {
        width: 34px;
        height: 34px;
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;

        & img {
          width: 100%;
        }
      }
    }

    .footer__contacts {
      font-size: 16px;
      line-height: 1.62;

      @media (max-width: 768px) {
        font-size: 14px;
        line-height: 1.71;
      }

      @media (max-width: 450px) {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        gap: 10px;
      }

      & a {
        color: #B9B9B9;
        text-decoration: none;
      }
    }
  }
}